clash-prelude-1.8.4: Clash: a functional hardware description language - Prelude library

Copyright | (C) 2015-2016 University of Twente 2022 QBayLogic B.V.
License | BSD2 (see the file LICENSE)
Maintainer | QBayLogic B.V. <devops@qbaylogic.com>
Safe Haskell | Unsafe
Language | Haskell2010

Clash.Promoted.Nat.Unsafe

Description

Synopsis

- unsafeSNat :: forall (k :: Nat). Integer -> SNat k

# Documentation

unsafeSNat :: forall (k :: Nat). Integer -> SNat k Source #

I hope you know what you're doing